import dayjs from 'dayjs';
import { TdDatePickerProps } from '../type';
export default function useSingleValue(props: TdDatePickerProps): {
    year: import("@vue/composition-api").Ref<number>;
    month: import("@vue/composition-api").Ref<number>;
    value: import("@vue/composition-api").Ref<import("../type").DateValue>;
    time: import("@vue/composition-api").Ref<string | string[]>;
    cacheValue: import("@vue/composition-api").Ref<string | number | string[] | number[]>;
    onChange: import("../../hooks/useVModel").ChangeHandler<import("../type").DateValue, [context: {
        dayjsValue?: dayjs.Dayjs;
        trigger?: import("../type").DatePickerTriggerSource;
    }]>;
};
